# Generated from data_structure_comp-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name data_structure_comp

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: A DataStructure composition. Composites the Interface and Implementation
License: GPL-3.0
URL: https://docs.diligentsoftware.org/datastructure
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.5
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(node_comp) >= 1
# BuildRequires: rubygem(node_comp) < 2
# BuildRequires: rubygem(linked_list_comp) >= 1
# BuildRequires: rubygem(linked_list_comp) < 2
# BuildRequires: rubygem(node_error) >= 4
# BuildRequires: rubygem(node_error) < 5
# BuildRequires: rubygem(data_library)
# BuildRequires: rubygem(data_library) < 1
# BuildRequires: rubygem(diagram_factory_comp)
# BuildRequires: rubygem(diagram_factory_comp) < 1
# BuildRequires: rubygem(diagram_comp)
# BuildRequires: rubygem(diagram_comp) < 1
BuildArch: noarch

%description
A DataStructure composition. Composites the 
Interface and Implementation. Donations support continuous improvement and
maintenance. The aim is a reliable, integrable, and endurable DataStructure
library. Make a donation at the project's collective page:
https://opencollective.com/datastructure. One-time and recurring donations
are available at $1, $2, $4, $8, and $16. Greatly appreciated.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.idea
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/data_structure_comp.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.0.0-1
- Initial package
